Bug 163951 - updateDiskless does not always include all necessary kernel modules in initrd
updateDiskless does not always include all necessary kernel modules in initrd
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
Blocks: 156320 164012
  Show dependency treegraph
Reported: 2005-07-22 08:00 EDT by bastiaan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-486
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 15:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
adds kernel modules /lib subdir to initrd to solve unloadable pcnet32.o problem (400 bytes, patch)
2005-07-22 08:00 EDT, bastiaan
no flags Details | Diff

  None (edit)
Description bastiaan 2005-07-22 08:00:58 EDT
Description of problem:
updateDiskless copies all network driver modules from the client root into the
initrd, but fails to include dependency modules outside the /drivers/net subdir. 
For example the pcnet32 modules requires 'crc32.o', which is located in /lib and
thefore won't be copied into the initrd.
The result is that the diskless client will not boot because it cannot load the
kernel module for its network card. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. setup a diskless client with a pcnet32 network card, following the
intructions in the Sytem Administrator Guide
2. boot the client.
Actual results:
Kernel panic at boot, because the NFS root fs could not be mounted due to
failure to load the pcnet32 netwerk module.

Expected results:
The diskless system should have booted properly.

Additional info:
In this instance the problem can be solved easily by including
/lib/modules/`uname -r`/kernel/lib in the the initrd.
Comment 1 bastiaan 2005-07-22 08:00:58 EDT
Created attachment 117051 [details]
adds kernel modules /lib subdir to initrd to solve unloadable pcnet32.o problem
Comment 2 Jason Vas Dias 2005-07-22 16:39:25 EDT
This is now fixed with redhat-config-netboot-0.1.20-1_EL3, which now uses 
modules.dep to determine any modules on which the default modules in the 
initrd depend that are missing in the initrd, and will then copy them to 
the initrd - there were a few other missing module dependencies (such as
pcmcia_core for various drivers/net modules).

Please download the new version from:
and let me know of any further issues with it - thank you!
Comment 5 bastiaan 2005-08-01 07:02:52 EDT
Using modules.dep is a much better solution indeed. 
redhat-config-netboot-0.1.20-1_EL3 fixes the problem (in my test setup), thanks! 
Comment 6 Red Hat Bugzilla 2005-09-28 15:38:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.